<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.LifeUserExpertOrderMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.LifeUserExpertOrder">
        <id column="id" property="id" />
        <result column="order_no" property="orderNo" />
        <result column="expert_id" property="expertId" />
        <result column="store_id" property="storeId" />
        <result column="package_id" property="packageId" />
        <result column="order_money" property="orderMoney" />
        <result column="account_money" property="accountMoney" />
        <result column="order_time" property="orderTime" />
        <result column="complete_time" property="completeTime" />
        <result column="first_payment_time" property="firstPaymentTime" />
        <result column="final_payment_time" property="finalPaymentTime" />
        <result column="order_play_count" property="orderPlayCount" />
<!--        <result column="actual_play_count" property="actualPlayCount" />-->
        <result column="order_gmv" property="orderGmv" />
        <result column="actual_gmv" property="actualGmv" />
        <result column="status" property="status" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_time" property="createdTime" />
        <result column="created_user_id" property="createdUserId" />
        <result column="updated_time" property="updatedTime" />
        <result column="updated_user_id" property="updatedUserId" />
        <result column="first_funds_button" property="firstFundsButton" />
        <result column="end_funds_button" property="endFundsButton" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, order_id, expert_id, package_id , store_id, order_money, account_money, order_time, complete_time, first_payment_time, final_payment_time, order_play_count, order_gmv, actual_gmv, status, delete_flag, created_time, created_user_id, updated_time, updated_user_id, first_funds_button, end_funds_button
    </sql>

</mapper>
